# Provider API

Having accurate and, most importantly, complete Verified Provider data is a core responsibility of the Staking Rewards Infra Ratings.

There are two ways to have correct data in the Provider profile.

### Map Validators with Integration Form

Complete your verified provider profile with accurate information and a list of validators on [vsp.stakingrewards.com](https://vsp.stakingrewards.com/).&#x20;

\
After you submit the validator addresses we will check and map them to your profile. For networks that we do not support yet, as a verified staking provider you can provide us with the data via an API. More about this in the right tab.

### Provider API

You can see below the required structure of the provider API. Please follow the required format so that no difficulties arise during integration!&#x20;

Please provide the data in JSON format as shown below:

```
type Provider = {
    name: string;
    users: number;
    balanceUsd: number;
    supportedAssets: [
        Array<{
            name: string; # Asset name
            slug: string; # Asset slug, preferred slugs can be found below
            nodes: [
                Array<{
                    nodeType: string; # hostingNode/operatorNode/posNode
                    address: string; # mandatory for pos nodeType, optional for operator nodeType
                    feeUsd: number; # (optional) Hosting Fee, a USD fixed price for hostingNodes
                    fee: number; # (optional) commission in % for posNodes
                    users: number; # for eth nodes number of validators
                    balanceUsd: number; # (optional)
                    balanceToken: number;
                    liquidStakingProvider: string; # (optional) identifier for liquid staking protocol, only for operator nodeType
                }>;
            ]
        }>;
    ]
};
```

{% hint style="warning" %}
You can search for the preferred slug for each asset by searching the asset in [Staking Rewards](https://www.stakingrewards.com/) and copying it from the url\
\
ex. <https://www.stakingrewards.com/asset/ethereum-2-0> -> slug = "ethreum-2-0"
{% endhint %}

{% hint style="info" %}
We have included detailed descriptions of each data point in [General Data](/verified-provider-program/integrations-and-distribution/provider-api/general-data.md), [Supported Assets](/verified-provider-program/integrations-and-distribution/provider-api/general-data/supported-assets.md), and [Nodes](/verified-provider-program/integrations-and-distribution/provider-api/general-data/supported-assets/nodes.md).
{% endhint %}

{% hint style="info" %}
Cosmos focused Providers can use the cosmos validator directory to get an API. \
Please follow these instructions \
-> <https://github.com/eco-stake/validator-registry/wiki/Staking-Rewards>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakingrewards.com/verified-provider-program/integrations-and-distribution/provider-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
